ChangeLog for kdevplatform v1.3.80
==================================

* Milian Wolff: set version to 1.3.80, i.e. 1.4 beta 1
* Ivan Shapovalov: Fix new session creation in pick-session dialog.
* Ivan Shapovalov: Oops, fix build errors
* Ivan Shapovalov: Set base directory of the CVS diff job properly.
* Ivan Shapovalov: Separate "directory valid" and "file is known" conditions in CVS plugin.
* Ivan Shapovalov: Add "-N" to CVS diff options.
* Ivan Shapovalov: Distinguish process crash from non-zero exit code in DVcsJob.
* Ivan Shapovalov: Correctly handle non-zero exit codes of "cvs diff".
* Ivan Shapovalov: Screen completionProperties() with a DU-chain lock.
* Aleix Pol: Adapt to newer API for pastebin
* Aleix Pol: Properly set the base dir when committing
* Ivan Shapovalov: Enumerators are rather variables than types, so mark accordingly.
* Ivan Shapovalov: Handle default remote branch descriptions in Git plugin.
* Aleix Pol: Only resize the frames header if we have set a model
* Aleix Pol: Created the branch that will end up in kdevplatform 1.4.0
* Aleix Pol: forgot to add the bottom toolbar
* Aleix Pol: The hide feature has problems sometimes, disable it for the moment.
* Aleix Pol: Don't put the enum name when specifying the enum value.
* Aleix Pol: Adapt to API change
* Aleix Pol: Don't try to open invalid/empty URL's
* Aleix Pol: adapt to API change
* Aleix Pol: Simplify toolview creation
* Aleix Pol: Reduce forced layout invalidate() calls
* Gerhard Stengel: added some missing i18n calls
* Aleix Pol: When a toolbar is empty, don't show it at all.
* Aleix Pol: Improve the frame stack column sizes
* Aleix Pol: Improve the size for the (invisible) column in the project manager view
* Aleix Pol: Reorganize some ugly include directives
* Aleix Pol: Improve usability of the "fetch project" feature
* Aleix Pol: Properly place the delete button in the sessions dialog
* Aleix Pol: Improve the navigation popup sizing
* Aleix Pol: Fix doubleclicking VCSChangesView on the second (state) row.
* Aleix Pol: Improve the usability of the save-on-build feature
* Aleix Pol: Revert "Oops!"
* Aleix Pol: Oops!
* Aleix Pol: Improve usability when reviewing patches.
* Aleix Pol: Smal fixes in the Patch Review
* David Nolden: Only use native-menubar logic if the qt-version is at least 4.8, otherwise the required plugin system is missing.
* Aleix Pol: Improve patch review usability.
* Aleix Pol: Remove unconnected connect
* Aleix Pol: Fix weird sizes in the documents column size
* Aleix Pol: Improve annotation view
* Aleix Pol: Also update the VCS Changes view when reverting a file.
* Aleix Pol: Removed non-opened parenthesis
* Aleix Pol: Reduce unneeded complexity
* Aleix Pol: Reduce the amount of information given in the Pick Session dialog
* Jaime Torres: use << instead of + to append the string
* Nicolás Alvarez: Dummy commit to see if KDE servers unwedge.
* Nicolás Alvarez: s/splitted/split/ everywhere.
* Nicolás Alvarez: Fix build if kdevplatform isn't already installed.
* Aleix Pol: Fix opening files from Read-Only sources
* Aleix Pol: Don't use the item text to set the text.
* Aleix Pol: Fix clicking in the second column in the PatchReview changes view.
* Aleix Pol: Make it possible to review remote patches
* Aleix Pol: Properly construct an URL from a base path and a relative path
* Aleix Pol: Don't make class members public if not necessary
* Aleix Pol: Remove more unused stuff
* Aleix Pol: Use kdelibs for args splitting instead of doing it by hand
* Aleix Pol: Don't randomly remove the reviewed patches
* Aleix Pol: Don't assert on something actually being checked
* Aleix Pol: More refactoring in the Patch Review code
* Aleix Pol: Set the patch mimetype to the Custom Patch element.
* Aleix Pol: Separe the PatchReviewToolView class from the patchreview.cpp/h files.
* Aleix Pol: Separe the PatchHighlighter class from the patchreview.h/cpp files
* Aleix Pol: Improve navigation in the Changes view
* Aleix Pol: Changed the text to be shown in the Tool bars for some actions
* Aleix Pol: Improve the last commits history dialog
* Aurélien Gâteau: Make it easier to reach buttons on the edges
* Aurélien Gâteau: Make area switcher usable when kdevelop runs on an appmenu-enabled system
* Andreas Pakulat: Fix building
* Andreas Pakulat: Fix finding unordered_map header
* Andreas Pakulat: Fix generation of the config-file
* Andreas Pakulat: Provide status info when using ext/hash_map.
* Raphael Kubo da Costa: Look for ext/hash_map and unordered_map instead of checking gcc's version.
* Ghislain MARY: Improvements to the "Add Toolview" dialog.
* David nolden: Rename "kdevelop_attach" to "kdevelop!".
* David nolden: cleanup
* David Nolden: Fix a regression which broke the pre-selection of the current item in the outline view
* David nolden: Don't produce an error message if there is no .bashrc
* Raphael Kubo da Costa: Add missing include to fix the build with recent GCCs.
* Raphael Kubo da Costa: Add missing include to fix the build with recent GCCs.
* David nolden: Re-allocate a new random TCP forwarding target port each time "ssh!" is called
* Sven Brauch: fix an obvious mistake made in 8fc6b536f7 ("=" instead of "==")
* Milian Wolff: fix context-reuse-association for contexts with empty identifier
* Milian Wolff: Don't reuse contexts when local scope identifier changed.
* Bastian Leyer: backport from master: don't overwrite previously defined project name in *.kdev4 file
* Bastian Leyer: don't overwrite previously defined project name in *.kdev4 file
* Niko Sams: update currentPosition only for current thread
* Milian Wolff: properly update local scope identifier when context is reused
* Ghislain MARY: Fix wrong i18n calls (fixes 5 issues to the krazy checks).
* Ghislain MARY: Use single-char QString operations for efficiency (fixes 53 issues to the krazy checks).
* Ghislain MARY: Replace FALSE by false (fixes 1 issue to the krazy checks).
* Ghislain MARY: Add a new line character to the files missing it (fixes 10 issues to the kraxy checks).
* Milian Wolff: fix two more compiler warnings
* Aleix Pol: turn two #warnings into //comments
* Sven Brauch: Add a new search flag for not resolving alias declarations, and fix a bug with range comparisons
* Milian Wolff: fix restoration of all projects, not just one
* Niko Sams: set currentFrame before fetchFrames call
* Niko Sams: only switch to frame with debug info when debugee paused, not when just updating
* Niko Sams: don't set currentPosition when it's already set
* Milian Wolff: cleanup code
* Milian Wolff: Use KAssistantDialog instead of QWizard for the new class assistant
* Milian Wolff: opt: mark DUChainItem (for QuickOpen) as movable
* Milian Wolff: cleanup plugins/quickopen/duchainitemquickopen.{h,cpp}
* Milian Wolff: stable sorting for equal-matched ProjectItems
* Milian Wolff: cleanup file
* Victor Vicente de Carvalho: Improve QuickOpen system to sort items based on a right-to-left approach
* Milian Wolff: properly restore project manager view on close/open of projects
* Milian Wolff: fix a bunch of compiler warnings, esp. when compiling in release mode
* Milian Wolff: fix quickopen filter-timer logic
* David E. Narváez: Fix Project Listing in Reviewboard Plugin
* David E. Narváez: Cleaning up headers
* David E. Narváez: Fix Copy Value Context Menu Action
* Milian Wolff: fix unit test
* Milian Wolff: make project optional, add isReady function
* Patrick Spendrin: fix generation of template archives
* Patrick Spendrin: use same indent also on windows
* David E. Narváez: Fix Copy Value Context Menu Action
* Milian Wolff: fix signatures, forgot the &
* Milian Wolff: make it possible to rename files by pressing 'F2' in the project manager view
* Milian Wolff: make it possible to delete files by pressing 'Del' in the project manager view
* Milian Wolff: opt: use qhash instead of qmap
* Sven Brauch: In addition to 0332e34, also prevent the translateDUChainToRevision from moving cursors away from (0, 0)
* Milian Wolff: consolidate QTest::toString functions into new tests/testhelpers.h
* Christophe Giboudeaux: Fix build. kdevplatform doesn't look for ncurses.
* Sven Brauch: Disable the quick open timer if less than 10.000 items need to be searched
* Sven Brauch: Prevent MovingRangeTranslator (used by ParseJob::translateDUChainToRevision) from overflowing MAX_INT ranges
* Milian Wolff: make extern scripts available through context menu
* Milian Wolff: apply filter before executing quickopen
* Patrick Spendrin: use Declaration* again, somehow QList<> cannot be casted on msvc as with gcc
* Patrick Spendrin: CursorInRevision cannot be called
* Lambert Clara: Fix modified status at file opening when using trailing spaces cleanup REVIEW: 104429
* Sven Brauch: Reorder two asserts which were a bit pointless before
* Sven Brauch: Allow languages to specify whether reparsing of a file is required if whitespace is changed
* Andreas Pakulat: Support a simple filtering in the abstractfilemanager API
* Milian Wolff: optimize: reduce time required for quickopen (files) to show up
* Milian Wolff: prevent UI-lockup when opening huge projects
* Milian Wolff: optimize: short-cut quickopen's setFilter if we don't need to do anything
* Milian Wolff: increase number of jobs
* Milian Wolff: fix wrong assumptions in background parser
* Milian Wolff: move assert to places that make debugging actually helpful
* Milian Wolff: add benchmark for background parser
* Milian Wolff: remove dead code
* Milian Wolff: optimize: use QMap to sort project files for quickopen, mark ProjectFile struct as primitive
* Milian Wolff: hide IProjectBuilder plugin KCM's from project configuration if they do not apply
* Milian Wolff: cleanup api: IBuildSystemManager::builder() does not need any arguments
* Milian Wolff: Loop through the new project directory and try to detect the first .kdev4 file.
* Milian Wolff: make it possible to open files at a given line via quickopen
* Milian Wolff: make it possible to time project-imports of abstractfilemanager-based project managers
* Milian Wolff: use qDeleteAll
* Milian Wolff: Revert "some cleanup"
* Milian Wolff: some cleanup
* Milian Wolff: optimize: use QHash and more const& in background parser
* Milian Wolff: optimize: mark more classes as Q_MOVABLE_TYPE
* Milian Wolff: optimize: mark TopDUContextDynamicData::ItemDataInfo as movable
* Niko Sams: add shortcut for toggle breakpoint action
* Milian Wolff: fix version
* Niko Sams: when frames don't contain filename and linenumber skip them and set the first with debug info as current
* Niko Sams: properly connect signal, with that clearing the execution point isn't necessary anymore in the Debugcontroller
* Sven Brauch: Change class browser to display non-ClassFunctionDeclarations as functions in classes
* Eike Hein: Follow-up fix.
* Eike Hein: Write proper SessionsPrettyContents value to disk immediately.
* Sven Brauch: Make it possible to enforce sequential processing of parsejobs
* Vishesh Handa: Add a button to delete sessions in the SessionChooserDialog
* Lasse Liehu: Translate session picker
* Patrick Spendrin: fix build on msvc
* Lambert Clara: Save and reload settings exposed by katepart per file
* Milian Wolff: make strings translatable
* Milian Wolff: fix crash on shutdown
* Milian Wolff: also show dialog if one closes a modified *and* dirty file
* Benjamin Port: Fix build error i18n instead of i18nc
* Lasse Liehu: Fix text display
* Lasse Liehu: Add some context to translatable messages REVIEW: 103137
* Milian Wolff: gracefully handle SIGINT, SIGHUP and SIGTERM signals
* Andreas Pakulat: Revert "show explanation on failed snippet name validation"
* Lambert CLARA: Fix same file opened multiple times when using split views and buddies
* Ghislain MARY: show explanation on failed snippet name validation
* David nolden: Slightly fix documentation
* David nolden: Re-enable testImportStructure.
* Niko Sams: don't defer MainWindow::loadSettings
* Milian Wolff: fix another small memleak
* Milian Wolff: add simple testcase which could be used for valgrind leak finding in item repository
* Milian Wolff: optimize: mark some of our types as movable
* Milian Wolff: fix two compile warnings in release mode
* Milian Wolff: remove obsolete code, fixes compiler warning
* Milian Wolff: cleanup codemodel.h
* Milian Wolff: cleanup instantiationinformation
* Milian Wolff: remove dead code
* Milian Wolff: fix compiler warning about unused debug variables
* Milian Wolff: cleanup indexedstring apidox
* Milian Wolff: fix compiler warnings about unused code
* Milian Wolff: remove indexeditems, better use specific includes
* Milian Wolff: cleanup quickopen
* Milian Wolff: also move IndexedDeclaration and LocalIndexedDeclaration to their own files
* Milian Wolff: push indexedtopducontext into its own file
* Milian Wolff: KUrl::List is not automatically registered as meta type in unit tests
* Milian Wolff: cleanup declaration and specializationstore
* Milian Wolff: cleanup DeclarationID
* Milian Wolff: remove dead ImportTrace code
* Milian Wolff: move LocalIndexedDUContext and IndexedDUContext to their own file
* Milian Wolff: major cleanup in ducontext.h
* Aleix Pol: findToolView should return 0 if there's no active area.
* Aleix Pol: Don't leave invalid pointers on the proxyModels hash.
* Milian Wolff: add simple benchmark for adding items to the CodeModel
* Niko Sams: add break on change action to context menu in variables tool view
* Niko Sams: add context menu to breakpoint mark in kate icon border
* Milian Wolff: set SO version to 6
* Milian Wolff: disable unit tests which require user interpretation
* Milian Wolff: fix and cleanup generic manager test
* Milian Wolff: QUrl -> KUrl
* Milian Wolff: fix unit test for Qt 4.8
* Milian Wolff: don't crash on shutdown in unit tests when delayed signal gets in too late
* Aleix Pol: Improve l10n for AbstractNavigationContext
* Andrew Fuller: Save/Restore the ProjectTreeView.  This enables a more seamless transition when returning to a project that was closed.
* Milian Wolff: fix: don't leak TestFile's dptr
* Milian Wolff: extend api: make it possible to create testfiles in a custom directory
* Frederik Schwarzer: Fix typo.
* Milian Wolff: update plugin version to 14 for master
* Lambert CLARA: Fix reopening of areas when kdevelop was closed with some splitted views
* Milian Wolff: set version to 1.3.60 for master, it will become 1.4 eventually after all
* Milian Wolff: remove file from project's fileset in TestFile dtor
